Subject: bug#40118: 27.0.90; Signing emails with gpg

From: Robert Pluim <[email-masked]>
Date: Thu, 16 Apr 2020 11:44:51 +0200

>>>>> On Wed, 15 Apr 2020 19:45:27 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Date: Wed, 15 Apr 2020 18:37:51 +0200
    >> Cc: [email-masked], Sharon Kimble <[email-masked]>
    >> 
    >> mml-secure-smime-sign-with sender has no effect when signing with pgp,
    >> you'd need to set mml-secure-openpgp-sign-with-sender.
    >> 
    >> I can adjust the message easily enough, but I honestly think both of
    >> those variables should default to t, not nil. And I think we should do
    >> that in emacs-27 [1]. Eli?

    Eli> I don't think I understand the issue well enough to have an opinion on
    Eli> its merits and demerits.

In emacs-26, mml-secure-epg-sign could specify that a message should
be signed with a key based on the senderʼs email address. If the
variable governing that was nil, it was left to gpg to figure out the
key to use. Normally that means gpg uses its default key.

In emacs-27, mml-secure-epg-sign now checks explicitly whether that
variable is nil, and refuses to continue. With an error message that
in at least 50% of the cases points the user to the wrong user
option. This is a regression from emacs-26.

Fixing the error message is easy. Iʼm proposing that by default the
senderʼs email address is used to determine the key to use, since
thatʼs what almost everyone will want. People who donʼt want that can
control the behaviour by either adding keys to
'mml-secure-openpgp-signers' or by setting 'mm-sign-option' to
'guided.

Robert